#ifndef _ENDIAN_H
#define _ENDIAN_H 1

#define __LITTLE_ENDIAN 1234
#define __BIG_ENDIAN 4321

#if defined(__powerpc__) || defined(__ppc__) || defined(__powerpc64__) || defined(__ppc64__)
#define __BYTE_ORDER __BIG_ENDIAN
#else
#define __BYTE_ORDER __LITTLE_ENDIAN
#endif

#if __BYTE_ORDER == __LITTLE_ENDIAN
#define __LONG_LONG_PAIR(HI,LO) LO,HI
#elif __BYTE_ORDER == __BIG_ENDIAN
#define __LONG_LONG_PAIR(HI,LO) HI,LO
#endif

#endif
